{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configuration-flags;
in

# TODO ranger le spécifique pulseaudio
mkIf (flags.multimediaSuite && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    ## Audio
    paprefs       # préferences pulseaudio
    pavucontrol   # mixer pulseaudio

    ## Video
    smplayer      # lecteur vidéo
    vlc           # lecteur vidéo
  ];
}
